sis-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From desruisse...@apache.org
Subject svn commit: r1389359 - /sis/trunk/sis-build-helper/pom.xml
Date Mon, 24 Sep 2012 13:30:19 GMT
Author: desruisseaux
Date: Mon Sep 24 13:30:19 2012
New Revision: 1389359

URL: http://svn.apache.org/viewvc?rev=1389359&view=rev
Log:
Relax the required Maven version from 3.0.4 to 3.0.3, in the hope to allow Jenkins to accept
building the project.

Modified:
    sis/trunk/sis-build-helper/pom.xml

Modified: sis/trunk/sis-build-helper/pom.xml
URL: http://svn.apache.org/viewvc/sis/trunk/sis-build-helper/pom.xml?rev=1389359&r1=1389358&r2=1389359&view=diff
==============================================================================
--- sis/trunk/sis-build-helper/pom.xml (original)
+++ sis/trunk/sis-build-helper/pom.xml Mon Sep 24 13:30:19 2012
@@ -25,11 +25,20 @@
                                http://maven.apache.org/xsd/maven-4.0.0.xsd">
   <modelVersion>4.0.0</modelVersion>
 
-  <!-- This pom.xml uses the ${maven.version} property,
-       which has been introduced only in Maven 3.0.4.
-       See http://jira.codehaus.org/browse/MNG-4112 -->
+  <!--
+    This pom.xml uses the ${maven.version} property,
+    which has been introduced only in Maven 3.0.4.
+    (See http://jira.codehaus.org/browse/MNG-4112)
+
+    We should declare 3.0.4 below, but at the time of writing
+    Apache Jenkins is still using Maven 3.0.3. Users of Maven
+    versions older than 3.0.4 need to specify their version
+    on the command line, using the -D option like below:
+
+    -Dmaven.version=3.0.3
+  -->
   <prerequisites>
-    <maven>3.0.4</maven>
+    <maven>3.0.3</maven>
   </prerequisites>
 
   <parent>



Mime
View raw message